#%%
from pathlib import Path
from src.read_swc import read_swc_dir
import numpy as np

import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D

#change this
dir = Path('C:/Users/Thomas Athey/Documents/Labs/Labs/Miller/mouselight/data/2018-08-01/prob0_swcs2/frags')

df = read_swc_dir(dir,1000)
print(df)
df_red = df.loc[df['cc'].isin([6,16])]
df_red2 = df.loc[(df['cc']==1071255) & (df['branch']==2)]
df_red = df_red.append(df_red2)
df_red = df_red.assign(color0=1)
df_red = df_red.assign(color1=0)
df_red = df_red.assign(color2=0)
print(df_red)

df_blue = df.loc[(df['cc']!=6) & (df['cc']!=16) & (df['cc']!=1071255)]
df_blue = df_blue.assign(color0=0)  
df_blue = df_blue.assign(color1=0)
df_blue = df_blue.assign(color2=1)
print(df_blue)

df = df_red.append(df_blue)
df = df.reset_index()

colors = np.stack((df['color0'].values,df['color1'].values, df['color2'].values),axis=1)


fig = plt.figure()
ax = fig.add_subplot(111,projection='3d')

ax.scatter(df['x'].values,df['y'].values,df['z'].values,c=colors)

for idx in df.index:
    child = df['sample'][idx]
    parent = df['parent'][idx]
    if parent != -1:
        df_child = df[df['sample']==child]
        df_parent = df[df['sample']==parent]
        x = [df_child['x'].values[0], df_parent['x'].values[0]]
        y = [df_child['y'].values[0], df_parent['y'].values[0]]
        z = [df_child['z'].values[0], df_parent['z'].values[0]]
        color = [df_child['color0'].values[0],df_child['color1'].values[0],df_child['color2'].values[0]]

        ax.plot(x,y,z,color=color)



ax.set_xlabel('X')
ax.set_ylabel('Y')
ax.set_zlabel('Z')

plt.show()

#%%
print(df['sample'][32])

#%%
